summaryrefslogtreecommitdiffstats
path: root/rescue/restore-image.sh
diff options
context:
space:
mode:
authorCaio Begotti <caio1982@mandriva.org>2009-02-06 15:49:13 +0000
committerCaio Begotti <caio1982@mandriva.org>2009-02-06 15:49:13 +0000
commit3b59141d88ac174896e3c1d553406f80607646b6 (patch)
tree7b28c88e179c85e48664f1ab72e20d24c59e7900 /rescue/restore-image.sh
parenta524fefb04074d9d19e186f9bdbae29b239bcc7f (diff)
downloaddrakx-backup-do-not-use-3b59141d88ac174896e3c1d553406f80607646b6.tar
drakx-backup-do-not-use-3b59141d88ac174896e3c1d553406f80607646b6.tar.gz
drakx-backup-do-not-use-3b59141d88ac174896e3c1d553406f80607646b6.tar.bz2
drakx-backup-do-not-use-3b59141d88ac174896e3c1d553406f80607646b6.tar.xz
drakx-backup-do-not-use-3b59141d88ac174896e3c1d553406f80607646b6.zip
check for min_disksize devices
Diffstat (limited to 'rescue/restore-image.sh')
-rwxr-xr-xrescue/restore-image.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/rescue/restore-image.sh b/rescue/restore-image.sh
index 5fe7b6417..c167c4e1d 100755
--- a/rescue/restore-image.sh
+++ b/rescue/restore-image.sh
@@ -86,6 +86,10 @@ function detect_root()
dev=$(sed '\|'$restore_media'|!d;s/[0-9] .*$//;s/^.*\///' /proc/mounts)
devices=$(grep "^ .*[^0-9]$" < /proc/partitions | grep -v ${dev} | awk '$3 > '$MIN_DISKSIZE' { print $4,$3 }')
+ if [ -z ${devices} ]; then
+ exit 1
+ fi
+
devs_found=$(echo $devices | wc -w)
# we might use it later again
fdisk -l | grep "^/dev/" | grep -v ${dev} > /tmp/fdisk.log